> ## Documentation Index
> Fetch the complete documentation index at: https://developers.telnyx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List all Releases

> Returns a list of your Releases for the given external connection. These are automatically created when you change the `connection_id` of a phone number that is currently on Microsoft Teams.



## OpenAPI

````yaml https://telnyx-openapi-ng.s3.us-east-1.amazonaws.com/real-time-communications/external-connects.yml get /external_connections/{id}/releases
openapi: 3.1.0
info:
  title: Telnyx External Connects API
  version: 2.0.0
  description: API for External connects.
  contact:
    email: support@telnyx.com
servers:
  - url: https://api.telnyx.com/v2
security:
  - bearerAuth: []
paths:
  /external_connections/{id}/releases:
    get:
      tags:
        - External Connections
      summary: List all Releases
      description: >-
        Returns a list of your Releases for the given external connection. These
        are automatically created when you change the `connection_id` of a phone
        number that is currently on Microsoft Teams.
      operationId: ListExternalConnectionReleases
      parameters:
        - $ref: '#/components/parameters/external-voice-integrations_id'
        - $ref: '#/components/parameters/FilterReleasesConsolidated'
        - $ref: '#/components/parameters/external-voice-integrations_PageConsolidated'
      responses:
        '200':
          $ref: '#/components/responses/ListReleasesResponse'
        '401':
          description: Unauthorized
        '404':
          description: Not found
        '422':
          description: Bad request
      x-codeSamples:
        - lang: JavaScript
          source: >-
            import Telnyx from 'telnyx';


            const client = new Telnyx({
              apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
            });


            // Automatically fetches more pages as needed.

            for await (const releaseListResponse of
            client.externalConnections.releases.list(
              '1293384261075731499',
            )) {
              console.log(releaseListResponse.tenant_id);
            }
        - lang: Python
          source: |-
            import os
            from telnyx import Telnyx

            client = Telnyx(
                api_key=os.environ.get("TELNYX_API_KEY"),  # This is the default and can be omitted
            )
            page = client.external_connections.releases.list(
                id="1293384261075731499",
            )
            page = page.data[0]
            print(page.tenant_id)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/team-telnyx/telnyx-go\"\n\t\"github.com/team-telnyx/telnyx-go/option\"\n)\n\nfunc main() {\n\tclient := telnyx.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\tpage, err := client.ExternalConnections.Releases.List(\n\t\tcontext.TODO(),\n\t\t\"1293384261075731499\",\n\t\ttelnyx.ExternalConnectionReleaseListParams{},\n\t)\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", page)\n}\n"
        - lang: Java
          source: >-
            package com.telnyx.sdk.example;


            import com.telnyx.sdk.client.TelnyxClient;

            import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;

            import
            com.telnyx.sdk.models.externalconnections.releases.ReleaseListPage;

            import
            com.telnyx.sdk.models.externalconnections.releases.ReleaseListParams;


            public final class Main {
                private Main() {}

                public static void main(String[] args) {
                    TelnyxClient client = TelnyxOkHttpClient.fromEnv();

                    ReleaseListPage page = client.externalConnections().releases().list("1293384261075731499");
                }
            }
        - lang: Ruby
          source: >-
            require "telnyx"


            telnyx = Telnyx::Client.new(api_key: "My API Key")


            page =
            telnyx.external_connections.releases.list("1293384261075731499")


            puts(page)
        - lang: PHP
          source: >-
            <?php


            require_once dirname(__DIR__) . '/vendor/autoload.php';


            use Telnyx\Client;

            use Telnyx\Core\Exceptions\APIException;


            $client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API
            Key');


            try {
              $page = $client->externalConnections->releases->list(
                '1293384261075731499',
                filter: [
                  'civicAddressID' => ['eq' => '19990261512338516954'],
                  'locationID' => ['eq' => '19995665508264022121'],
                  'phoneNumber' => ['contains' => '+123', 'eq' => '+1234567890'],
                  'status' => ['eq' => ['pending', 'in_progress']],
                ],
                pageNumber: 0,
                pageSize: 0,
              );

              var_dump($page);
            } catch (APIException $e) {
              echo $e->getMessage();
            }
        - lang: CLI
          source: |-
            telnyx external-connections:releases list \
              --api-key 'My API Key' \
              --id 1293384261075731499
components:
  parameters:
    external-voice-integrations_id:
      name: id
      description: Identifies the resource.
      in: path
      required: true
      schema:
        type: string
        example: '1293384261075731499'
        x-format: int64
    FilterReleasesConsolidated:
      name: filter
      in: query
      style: deepObject
      explode: true
      description: >-
        Filter parameter for releases (deepObject style). Supports filtering by
        status, civic_address_id, location_id, and phone_number with eq/contains
        operations.
      schema:
        type: object
        properties:
          status:
            type: object
            properties:
              eq:
                type: array
                items:
                  type: string
                  enum:
                    - pending_upload
                    - pending
                    - in_progress
                    - complete
                    - failed
                    - expired
                    - unknown
                example:
                  - pending
                  - in_progress
                description: The status of the release to filter by
          civic_address_id:
            type: object
            properties:
              eq:
                type: string
                example: '19990261512338516954'
                description: The civic address ID to filter by
          location_id:
            type: object
            properties:
              eq:
                type: string
                example: '19995665508264022121'
                description: The location ID to filter by
          phone_number:
            type: object
            properties:
              eq:
                type: string
                example: '+1234567890'
                description: The phone number to filter by
                x-format: E164
              contains:
                type: string
                example: '+123'
                description: The partial phone number to filter by. Requires 3-15 digits.
            description: >-
              Phone number filter operations. Use 'eq' for exact matches or
              'contains' for partial matches.
    external-voice-integrations_PageConsolidated:
      name: page
      in: query
      style: deepObject
      explode: true
      description: >-
        Consolidated page parameter (deepObject style). Originally: page[size],
        page[number]
      schema:
        type: object
        properties:
          size:
            type: integer
            minimum: 1
            maximum: 250
            default: 250
            description: The size of the page
          number:
            type: integer
            minimum: 1
            default: 1
            description: The page number to load
  responses:
    ListReleasesResponse:
      description: Successful response
      content:
        application/json:
          schema:
            type: object
            title: List Releases Response
            properties:
              data:
                type: array
                items:
                  $ref: '#/components/schemas/Release'
              meta:
                $ref: >-
                  #/components/schemas/external-voice-integrations_PaginationMeta
  schemas:
    Release:
      type: object
      title: Phone Number Release
      properties:
        ticket_id:
          $ref: '#/components/schemas/UUID'
        tenant_id:
          type: string
          format: uuid
          example: ea175aba-f47c-4702-9400-efaa42688048
        status:
          type: string
          enum:
            - pending_upload
            - pending
            - in_progress
            - complete
            - failed
            - expired
            - unknown
          description: Represents the status of the release on Microsoft Teams.
          example: pending
          default: pending_upload
        error_message:
          type: string
          description: A message set if there is an error with the upload process.
        telephone_numbers:
          type: array
          items:
            $ref: '#/components/schemas/TnReleaseEntry'
        created_at:
          type: string
          description: ISO 8601 formatted date indicating when the resource was created.
          example: '2018-02-02T22:25:27.521Z'
    external-voice-integrations_PaginationMeta:
      title: Pagination Meta
      type: object
      properties:
        total_pages:
          type: integer
          example: 3
        total_results:
          type: integer
          example: 55
        page_number:
          type: integer
          example: 2
        page_size:
          type: integer
          example: 25
    UUID:
      title: UUID
      type: string
      format: uuid
      description: Uniquely identifies the resource.
      example: 542c3bca-d247-42bc-8fe7-e01d16ecd761
    TnReleaseEntry:
      type: object
      title: TnReleaseEntry
      properties:
        phone_number:
          type: string
          description: Phone number in E164 format.
        number_id:
          type: string
          description: Phone number ID from the Telnyx API.
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http

````